Description

Would it be possible that metasearh detects if the wfs 2 plugin has been installed, and if so use that to add wfs 2 services to the map?

(now i get a message that states that the server does not support wfs 1.0.0)

We have quite some WFS services in the national catalogue from deegree that are WFS 2 only

An example of such a metadata with wfs 2 only is 

http://www.nationaalgeoregister.nl/geonetwork/srv/nl/csw?Service=CSW&#38;Request=GetRecordById&#38;Version=2.0.2&#38;id=88

2a6fa-b296-4ff4-bc30-fb87e2c1627e&#38;outputSchema=http://www.isotc211.org/2005/gmd&#38;elementSetName=full

History

#1 - 2015-02-23 09:07 AM - Tom Kralidis

Hi Paul: how can I reproduce this?

- open QGIS 2.8.0

- open MetaSearch

- in search tab, select CSW "Nationaal Georegister (Nederland)" (i.e. http://www.nationaalgeoregister.nl/geonetwork/srv/eng/csw)

- enter keywords: Habitatgebieden

- click Search

- select 3rd record (Conceptkaarten Habitatgebiede)

- click 'Add WFS'

- select a FeatureType

- click 'Add'

At this point the GML data attempts to load but QGIS throws a timeout error.  At this stage all is left to the QGIS WFS provider.

Having said this, I don't get a WFS version error per se.  Are you usnig another use case that I can reproduce?

#2 - 2015-02-24 05:06 AM - paul van genuchten

- File nowfs100.png added

Hi Tom, thanks for looking at this, the record I gave as an example may actually support WFS 1

please check it with this one:

http://www.nationaalgeoregister.nl/geonetwork/srv/nl/csw?Service=CSW&#38;Request=GetRecordById&#38;Version=2.0.2&#38;id=c04fc102-1bb3-497

-83b2-427ddca70cff&#38;outputSchema=http://www.isotc211.org/2005/gmd&#38;elementSetName=full

look for "INSPIRE Download service Beschermde gebieden interprovinciaal" in metasearch on NGR
#3 - 2015-02-25 11:49 AM - Tom Kralidis

Hi Paul: AFAIK the WFS2 client needs to advertise a signal that MetaSearch can connect to thus opening the WFS2 dialog.

Having said this, IMHO the best path forward is to update the core QGIS WFS provider functionality to support WFS2 proper.  MetaSearch doesn't do any

version detection per se

#4 - 2015-02-25 11:53 AM - Tom Kralidis

FYI I raised this in WFS 2.0 Client issues at #12269

#5 - 2015-08-21 04:55 AM - Tom Kralidis

- Project changed from 218 to QGIS Application

#6 - 2015-08-21 04:55 AM - Tom Kralidis

- Category set to MetaSearch Catalogue Client

#7 - 2016-03-31 06:05 AM - Tom Kralidis

- Resolution set to wontfix

- Status changed from Open to Closed

Closing given the forthcoming enhancements to add WFS 1.1/2.0 support in the core QGIS WFS provider.
https://github.com/qgis/QGIS-Enhancement-Proposals/issues/53

